Subject: Re: bug#19965: 24.3; diary-face-attrs and appt-warning-time-regexp cannot be combined

From: Stefan Reichör <[email-masked]>
Date: Mon, 28 Dec 2020 15:34:41 +0100

Hi Lars!

Thanks a lot for going through old bugs.

This way you can reproduce the problem using "emacs -Q":

;; Content of ~/diary-test (adjust date + time to be a few minutes in the future):
12/28/2020 15:40 Test reminder, warntime used ## warntime 32
12/28/2020 15:41 Test reminder, colored [background:red]
12/28/2020 15:42 Test reminder combined1, not colored [background:red] ## warntime 34
12/28/2020 15:43 Test reminder combined2, not colored ## warntime 36 [background:red] 
01/01/2021 New year [background:yellow]

(setq diary-file "~/diary-test")

(add-hook 'diary-display-hook 'fancy-diary-display)
(add-hook 'calendar-initial-window-hook 'diary-mark-entries)

(require 'appt)
(calendar)

;; force checking of appointments
(appt-check t)

;; appt-time-msg-list should contain the new appointment
(describe-variable 'appt-time-msg-list)

Stefan.

> Stefan Reichör <[email-masked]> writes:
>
>> I use two features of the diary:
>>
>> a) The appointment warntime
>>
>> ,----
>> | 27/02/2015 23:45 Test ## warntime 30
>> `----
>>
>> That way I can override the warntime for an entry
>>
>> b) special text properties for the calendar view
>>
>> ,----
>> | 27/02/2015 23:45 Test [background:yellow]
>> `----
>>
>> Now I want to combine both features.
>>
>> I tried the following two variants, but they don't work:
>>
>> ,----
>> | 27/02/2015 23:45 Test ## warntime 30 [background:yellow]
>
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>
> So you have a test case, starting from "emacs -Q", to reproduce this
> bug?  That'll be helpful when trying to fix this.